using System;
using static System.Console;
using System.Collections.Generic;

namespace Madjionicar
{
    class Program
    {
        static void Main()
        {
            int brKarata = 0;
            int brKarte = 0;
            string uneseno = ReadLine();
            Zabelezi(ref brKarata, uneseno, 0);
            Zabelezi(ref brKarte, uneseno,1);
            uneseno = ReadLine();
            int[] spil = new int[brKarata];
            ZabeleziNiz(ref spil, uneseno);
            WriteLine(NadjiKartu(spil, brKarte));
        }
        static int NadjiKartu(int[]spil, int vidjenaKarta)
        {
            int karta = -1;
            for (int i = 0; i < spil.Length; i++)
            {
                if (spil[i] == vidjenaKarta)
                {
                    if (i == spil.Length - 1) karta = spil[0];
                    else
                    {
                            karta = spil[i + 1];
                    }
                }
            }
            return karta;
        }
        static void Zabelezi(ref int zabelezi, string unos, int indeks)
        {

            List<int> brojevi = new List<int>();
            string[] a = unos.Split(" ");
            for (int i = 0; i < a.Length; i++)
            {
                brojevi.Add(int.Parse(a[i]));
            }
            zabelezi = brojevi[indeks];
        }
        static void ZabeleziNiz(ref int[] zabelezi, string unos)
        {

            List<int> brojevi = new List<int>();
            string[] a = unos.Split(" ");
            for (int i = 0; i < a.Length; i++)
            {
                brojevi.Add(int.Parse(a[i]));
            }
            zabelezi = brojevi.ToArray();
        }
    }
}